package jp.sourceforge.cfneo.at4ie.api.impl.ie.invoker;

import jp.sourceforge.cfneo.at4ie.api.AT4IEAssertException;
import jp.sourceforge.cfneo.at4ie.api.Context;
import jp.sourceforge.cfneo.at4ie.api.Invoker;
import jp.sourceforge.cfneo.at4ie.api.TargetBrowser;
import jp.sourceforge.cfneo.at4ie.api.TestCase;

/**
 * command=goBackのInvoker。<br />
 * ブラウザの「戻る」ボタンを押す。
 * @author imaitakafumi
 *
 */
public class GoBackInvoker extends Invoker {

	/**
	 * コンストラクタ。
	 * @param context
	 * @param browser
	 */
	public GoBackInvoker(Context context, TargetBrowser browser) {
		super(context, browser);
	}

	@Override
	public void invoke(TestCase testCase) throws AT4IEAssertException {
		this.getBrowser().pushBrowserBack();
	}

}
